X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

Google Play Store shows firefox not compatible with this device even when firefox says tested for that device.

Posted

I am using Samsung Galaxy Ace (Samsung GT-S5830i) Android phone and I want to install Firefox for Android on that device.

Your website says that firefox has been tested to work with this device: https://support.mozilla.org/en-US/kb/will-firefox-work-my-mobile-device

Still, Google Play Store shows the following messaage: This app is incompatible with your Vodafone IN Samsung GT-S5830i.

What should I do?

Additional System Details

Application

  • User Agent: Mozilla/5.0 (X11; Ubuntu; Linux i686; rv:18.0) Gecko/20100101 Firefox/18.0

More Information

Andrew
  • Top 25 Contributor
  • Moderator
251 solutions 3019 answers

Helpful Reply

Samsung Galaxy Ace GT-S5830/GT-S5358 is what is shown on the article. You are saying yours is "S5830i". There is an "i" at the end of the model which may be the restriction. I will contact one of our mobile associates to look into this if the answer provided does not meet your needs. Thank you.

Helpful Reply

As far as I know, Samsung Galaxy Ace model number was S5830i only. Might be the mozilla guys have not printed the correct model number and omitted the "I" at the end.

Check out the Product Website

I might also be wrong as Mozilla guys are trusted enough to not to make this kind of mistake. If they also can look into the issue, it would be grateful.

Thanks.

Modified by Vishal

James
  • Top 25 Contributor
  • Moderator
437 solutions 3157 answers

Oh there were several models as far as "Samsung Galaxy Ace" goes.

The S5830i model has a ARMv6 cpu (Broadcom BCM21553 at 832 MHz) instead of the preferred ARMv7 and only 278MB Ram when 512MB+ is recommended.

It is a older list when ARMv6 was not supported but the S5830i was in not supported list at https://wiki.mozilla.org/Mobile/Platforms/Android